Delete Active Directory configuration
-
DELETE
/platform/configuration/security/realms/active-directory/{realm_id}
Auth
Deletes a single Active Directory configuration.
-
realm_id
string
required
-
The Elasticsearch Security realm identifier.
-
version
string
-
When specified, checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)
The Active Directory configuration was successfully deleted
application/json
The realm specified by {realm_id} cannot be found. (code: security_realm.not_found)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields
There is a version conflict. (code: security_realm.version_conflict)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields